# Class XmrOutgoingTransfer

#### Hierarchy

- unknown
  - XmrOutgoingTransfer

- Defined in src/protobuf/grpc_pb.d.ts:3238
- Defined in src/protobuf/grpc_pb.d.ts:3263

#####
Index

### Constructors

constructor

### Methods

addDestinations
addSubaddressIndices
clearDestinationsList
clearSubaddressIndicesList
getAccountIndex
getAmount
getDestinationsList
getSubaddressIndicesList
serializeBinary
setAccountIndex
setAmount
setDestinationsList
setSubaddressIndicesList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new XmrOutgoingTransfer(): XmrOutgoingTransfer

- #### Returns XmrOutgoingTransfer

  Inherited from jspb.Message.constructor

## Methods

### addDestinations

- addDestinations(value?: XmrDestination, index?: number): XmrDestination

- #### Parameters

  - ##### `Optional` value: XmrDestination

  - ##### `Optional` index: number

  #### Returns XmrDestination

  - Defined in src/protobuf/grpc_pb.d.ts:3253

### addSubaddressIndices

- addSubaddressIndices(value: number, index?: number): XmrOutgoingTransfer

- #### Parameters

  - ##### value: number

  - ##### `Optional` index: number

  #### Returns XmrOutgoingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3248

### clearDestinationsList

- clearDestinationsList(): XmrOutgoingTransfer

- #### Returns XmrOutgoingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3252

### clearSubaddressIndicesList

- clearSubaddressIndicesList(): XmrOutgoingTransfer

- #### Returns XmrOutgoingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3247

### getAccountIndex

- getAccountIndex(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:3242

### getAmount

- getAmount(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3239

### getDestinationsList

- getDestinationsList(): XmrDestination[]

- #### Returns XmrDestination[]

  - Defined in src/protobuf/grpc_pb.d.ts:3250

### getSubaddressIndicesList

- getSubaddressIndicesList(): number[]

- #### Returns number[]

  - Defined in src/protobuf/grpc_pb.d.ts:3245

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3255

### setAccountIndex

- setAccountIndex(value: number): XmrOutgoingTransfer

- #### Parameters

  - ##### value: number

  #### Returns XmrOutgoingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3243

### setAmount

- setAmount(value: string): XmrOutgoingTransfer

- #### Parameters

  - ##### value: string

  #### Returns XmrOutgoingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3240

### setDestinationsList

- setDestinationsList(value: XmrDestination[]): XmrOutgoingTransfer

- #### Parameters

  - ##### value: XmrDestination[]

  #### Returns XmrOutgoingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3251

### setSubaddressIndicesList

- setSubaddressIndicesList(value: number[]): XmrOutgoingTransfer

- #### Parameters

  - ##### value: number[]

  #### Returns XmrOutgoingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3246

### toObject

- toObject(includeInstance?: boolean): XmrOutgoingTransfer.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns XmrOutgoingTransfer.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3256

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): XmrOutgoingTransfer

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns XmrOutgoingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3259

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: XmrOutgoingTransfer, reader: BinaryReader): XmrOutgoingTransfer

- #### Parameters

  - ##### message: XmrOutgoingTransfer

  - ##### reader: BinaryReader

  #### Returns XmrOutgoingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3260

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: XmrOutgoingTransfer, writer: BinaryWriter): void

- #### Parameters

  - ##### message: XmrOutgoingTransfer

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3258

### `Static` toObject

- toObject(includeInstance: boolean, msg: XmrOutgoingTransfer): XmrOutgoingTransfer.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: XmrOutgoingTransfer

  #### Returns XmrOutgoingTransfer.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3257

Generated using TypeDoc